Loading...
Searching...
No Matches
Dune::Amg::Transfer< V1, V2, T > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/transfer.hh>`

Inheritance diagram for Dune::Amg::Transfer< V1, V2, T >:

## Public Types

typedef V1 | Vertex
typedef V2 | Vector

## Static Public Member Functions

template<typename T1, typename R>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, Vector &fineRedist, T1 damp, R &redistributor=R())
template<typename T1, typename R>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, T1 damp)
static void | restrictVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, const Vector &fine, T &comm)

## Member Typedef Documentation

## Vector

template<class V1, class V2, class T>

typedef V2 Dune::Amg::Transfer< V1, V2, T >::Vector

## Vertex

template<class V1, class V2, class T>

typedef V1 Dune::Amg::Transfer< V1, V2, T >::Vertex

## Member Function Documentation

## prolongateVector() [1/2]

template<class V1, class V2, class T>
template<typename T1, typename R>

void Dune::Amg::Transfer< V1, V2, T >::prolongateVector | ( | const AggregatesMap< Vertex > & | aggregates,
|  | Vector & | coarse,
|  | Vector & | fine,
|  | T1 | damp )

static

## prolongateVector() [2/2]

template<class V1, class V2, class T>
template<typename T1, typename R>

void Dune::Amg::Transfer< V1, V2, T >::prolongateVector | ( | const AggregatesMap< Vertex > & | aggregates,
|  | Vector & | coarse,
|  | Vector & | fine,
|  | Vector & | fineRedist,
|  | T1 | damp,
|  | R & | redistributor = R() )

static

## restrictVector()

template<class V1, class V2, class T>

void Dune::Amg::Transfer< V1, V2, T >::restrictVector | ( | const AggregatesMap< Vertex > & | aggregates,
|  | Vector & | coarse,
|  | const Vector & | fine,
|  | T & | comm )

static

The documentation for this class was generated from the following file:

- transfer.hh